<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.server.host.location">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="handler"/>
        <elem name="addr-params" value="profile,subsystem,server,host,location"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.host.location.$server.$host.$location"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.extension.undertow.handler.$handler"/>
        <capability name="$profile.org.wildfly.undertow"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server.host"/>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="server" feature-id="true"/>
        <param name="handler"/>
        <param name="location" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>